import { Request, Response } from '../server';
export declare abstract class HmacSigner {
    abstract sign(message: string, secret: string): Promise<string>;
    abstract verify(signature: string, data: string, secret: string): Promise<boolean>;
    signResponse(response: Response, secret: string): Promise<void>;
    verifyPostRequest(request: Request, secret: string): Promise<boolean>;
    verifyGetRequest(request: Request, secret: string): Promise<boolean>;
}
export declare class WebCryptoHmacSigner extends HmacSigner {
    private encoder;
    private keyCache;
    constructor();
    getKeyForSecret(secret: string): Promise<CryptoKey | undefined>;
    sign(message: string, secret: string): Promise<string>;
    verify(signature: string, data: string, secret: string): Promise<boolean>;
    buf2hex(buf: any): string;
}
