"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiClientRequestFailed = exports.ApiClientAuthenticationFailed = void 0;
class ApiClientAuthenticationFailed extends Error {
    constructor(shopId, response) {
        super(`The api client authentication to shop with id: ${shopId}`);
        this.response = response;
    }
}
exports.ApiClientAuthenticationFailed = ApiClientAuthenticationFailed;
class ApiClientRequestFailed extends Error {
    constructor(shopId, response) {
        super(`The api request failed with status code: ${response.statusCode} for shop with id: ${shopId}`);
        this.response = response;
    }
}
exports.ApiClientRequestFailed = ApiClientRequestFailed;
