"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InMemoryShopRepository = void 0;
class InMemoryShopRepository {
    constructor() {
        this.storage = new Map();
    }
    async createShop(shop) {
        this.storage.set(shop.id, shop);
    }
    async getShopById(id) {
        if (this.storage.has(id)) {
            return this.storage.get(id);
        }
        return null;
    }
    async updateShop(shop) {
        await this.createShop(shop);
    }
    async deleteShop(shop) {
        this.storage.delete(shop.id);
    }
}
exports.InMemoryShopRepository = InMemoryShopRepository;
