/// <reference types="@cloudflare/workers-types" />
import { ShopRepository } from "../../repository";
import { Shop } from "../../shop";
import { Request as AppRequest, Response as AppResponse } from "../../server";
export declare class CloudflareShopRepository implements ShopRepository {
    private storage;
    constructor(storage: KVNamespace);
    createShop(shop: Shop): Promise<void>;
    deleteShop(shop: Shop): Promise<void>;
    getShopById(id: string): Promise<Shop | null>;
    updateShop(shop: Shop): Promise<void>;
}
export declare function convertRequest(request: Request): Promise<AppRequest>;
export declare function convertResponse(response: AppResponse): Promise<Response>;
