"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.rawRequestMiddleware = exports.convertRequest = exports.convertResponse = void 0;
function convertResponse(response, expressResponse) {
    expressResponse.status(response.statusCode);
    response.headers.forEach((val, key) => {
        expressResponse.header(key, val);
    });
    expressResponse.send(response.body);
}
exports.convertResponse = convertResponse;
function convertRequest(expressRequest) {
    const queries = new Map();
    const headers = new Map();
    for (const [key, value] of Object.entries(expressRequest.headers)) {
        headers.set(key, value);
    }
    for (const [key, value] of Object.entries(expressRequest.query)) {
        queries.set(key, value);
    }
    return {
        // @ts-ignore
        body: expressRequest.rawBody || '',
        headers: headers,
        query: queries,
        method: expressRequest.method
    };
}
exports.convertRequest = convertRequest;
function rawRequestMiddleware(req, res, next) {
    const contentType = req.headers['content-type'] || '', mime = contentType.split(';')[0];
    if (mime != 'application/json') {
        return next();
    }
    let data = '';
    req.setEncoding('utf8');
    req.on('data', function (chunk) {
        data += chunk;
    });
    req.on('end', function () {
        // @ts-ignore
        req.rawBody = data;
        next();
    });
}
exports.rawRequestMiddleware = rawRequestMiddleware;
