"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeHmacSigner = void 0;
const signer_1 = require("../../component/signer");
const crypto_1 = require("crypto");
class NodeHmacSigner extends signer_1.HmacSigner {
    async sign(message, secret) {
        const hmac = crypto_1.createHmac("sha256", secret);
        return hmac
            .update(Buffer.from(message, "utf-8"))
            .digest("hex");
    }
    async verify(signature, data, secret) {
        const gen = await this.sign(data, secret);
        return gen === signature;
    }
}
exports.NodeHmacSigner = NodeHmacSigner;
